Thumbnail/imagescaler (tracking)
OpenPublic

Assigned To
None
Priority
Normal
Author
bzimport
Blocks
T4007: Tracking bug (tracking)
T39883: Bug and feature requests related to Wikimedia Commons (tracking)
Blocked By
T102597: Won't create thumbnail for 30000×3200 pixel file on Commons
T101834: Thumbnail image on Commons not displayed
T100435: "Error creating thumbnail: Error code: 137" (for progressive JPEG not using baseline)
T99227: Setting PDF or DjVu thumbnail size by height produces "Invalid thumbnail parameters" error
T97174: Previews are not always generated immediately after uploading a file to Wikimedia Commons
T96505: Problems with image thumbnailing on Commons
T95333: 220px of Fachada_e_lateral_da_Catedral_São_Sebastião_após_pintura,_Coronel_Fabriciano_MG.JPG not purging
T91104: PHP thumbnailer as a service
T88833: SVG thumbnail generator: relative font-size: smaller/larger not handled (text disappear)
T87775: Evaluate vignette for thumbnail scaling
T70145: Generate JPG thumbnails with ImageMagick + mozjpeg instead of IM alone
T71377: Error generating thumbnail - OOM on progressive jpeg
T71336: VIPS scaled thumbnails don't have a comment with a link to the file description page
T68109: Spam restriction on thumbnailing restrictive enough I hit it on normal browsing activity
T69703: Change MediaWiki default thumbnail size to 300px based on user behavior
T69698: Pre-render certain thumbnail sizes on upload
T69695: Replace "Thumbnail size" property in preferences with responsive resizing images
T71155: PNG thumbnail get smudgy and streaky (near garbled)
T72734: Thumbnails for specific PDF file on Commons not generated: "no decode delegate for this image format"
T67475: Resized raster image does not succeed metadata of the original file
T67383: Serve thumbnails even for the original size of a jpeg or png
T67217: Operational issues for very large TIFFs
T72189: Stuck old 1024px thumbnail version of a specific djvu image on wikisource.pl
T63711: out of memory for some animated GIF images on Commons
T61975: PDF containing jpx/jp2 encoded images from Archive.org uploaded to Commons won't thumbnail
T66801: Image rendering of subpages from a PDF file not working on Portuguese Wikisource within ProofreadPage extension
T56744: out of memory for large pngs near 35 MP
T51693: Thumbnail of GIF file is not displayed in PDF output
T66622: Error generating thumbnail: As an anti-spam measure, you are limited from performing this action too many times
T51528: MediaWiki tries to create a thumbnail multiple times although that is not needed
T54740: mw1153 often returns 500 errors generating thumbnails
T49825: European varnish cache is not purged
T51118: Limit number of image scaling attempts
T56188: Thumbnails from recent uploads don't render
T44342: Some Thumbnails are not created
T44302: Thumbnails of images with "+" in filename do not show
T46071: Error Generating Thumbnail for 700 Mpx JPG
T49409: Specific animated GIF with large number of frames has no thumbnails created
T56045: Wikimedia thumbnail generator often returns HTTP 500 Internal Server Error
T50927: 201px thumbnail of Coat_of_arm_Bautzen.svg on Commons cannot be purged
T54203: VipsScaler clutters /tmp on imagescalers
T44047: thumb.php on Wikimedia Commons is serving broken images (thumbnail generation fails)
T57431: Reupload should purge File page (aka image has malformed dimensions)
T50700: Could not find data for image on pdf upload
T54050: VIPS doesn't scale PNGs larger than roughly 140 megapixels
T48976: Thumbnail and originals cache purging fails on Varnishes
T47212: TIFs appear less focused than JPG equivalent
T43665: Occasional segmentation fault on PDF thumbnail generation
T45454: Dirty background shown on scaled GIF images due to imagemagick's convert tool
T43528: Thumbnails not displayed for local videos on test2wiki
T45364: Not updated thumbnails / original file when reverting a picture to an older version (JPG, 2007, 2,898 × 3,807)
T45357: "thumbnail" or "thumb" embed fails on Tulsi Gabbard.jpg unless pixel width specified
T45345: 401 Unauthorized error preventing thumbnail display
T43447: 401 error for some thumbnails on zh.wiki
T45268: Greyscale Jpg Thumbnails do not get sharpened
T43403: UW does not display thumbs for OGV files in some browsers
T43388: [Regression] DjVu size info not extracted, thumbs failing
T43386: [Regression] Error creating thumbnail: convert: incorrect data check
T43385: Ignorable TIFF warnings prevent thumbnail generation
T50178: Error creating thumbnail: "Warning: File has insufficient data for an image."
T43382: [Regression] Corrupt GIF no longer thumbnails or renders
T43380: Corrupt images should be detected and reported - by humans or automatic script.
T43381: Handle invalid PDF - Can't process font stream, loading font by the name
T43376: Error creating thumbnail: oggThumb failed to create the thumbnail.
T43374: [Regression] Error creating thumbnail: convert: Too many IDAT's found
T43375: Error creating thumbnail: convert: Expected 8 bytes; found 0 bytes
T43373: [Error generating thumbnail] Empty error on Human_100_100000.svg
T43372: [Regression] Error creating thumbnail: Error reading SVG:Invalid URI
T46872: 401 Unauthorized for min.wp's thumbnails
T43361: [404 File Not Found] Some lost files
T43362: Error creating thumbnail: Metadata uses too much space
T41615: 404 error for all revisions of some files
T50041: Error creating thumbnail for specific PDF files on Commons: "Killed"
T50007: Error creating PDF on Commons: "convert: no decode delegate for this image format" (fixed in GS 9.07)
T50003: Large thumbnails of "lossless" files return error
T48350: Purging for all sites but eqiad is broken
T43174: Many SVG files without namespace (xmlns) attribute have stopped rendering
T44963: Squid cache not being cleared for thumbs when updating new version of image
T43130: Invalidation of Varnish thumbnail cache sometimes doesn't work
T43113: thumb.php fails to generate thumbnail of SVG images (gives HTML error as body)
T48243: Requests for new thumbnail sizes never return
T46508: htcp cache purges for images do not seem to clear europe upload squid caches
T38166: OOM when generating 6000px wide thumb of large (baseline) jpeg
T46319: Error generating thumbnail: The source file for the specified thumbnail does not exist
T46310: Thumbnail cache should be automatically discarded after 6 months
T39539: Image thumbnailing on WAMP sometimes locks up
T25831: Better error presentation for high res PDFs
T30810: Video thumbnails don't work (on live Commons?)
T25326: PDF image extraction fails
T33680: [Regression] Thumbnail cache should be invalidated on re-upload
T30310: Thumbnails creation errors
T26854: Black/striped thumbnails of CMYK JPEGs
T20310: thumbnail images not created, PHP Warning at GlobalFunctions.php on line 1943
T18416: SVG rendering maximum should base on area, not largest size?
T20127: Mediawiki accepts to create thumbnails with the wrong extension
T27903: Video thumbnails may be broken (commons.prototype config)
T19645: OOM while thumbnailing huge progressive / interlaced JPEGs
T24195: Improved error feedback for SVG thumbnail rendering
T10901: SVG rasterisation and management on Wikimedia sites (tracking)
T22312: Error creating thumbnail: Image was not scaled, is the requested width bigger than the source?
T15493: Can't create thumbnail of images with a peculiar aspect ratio
T5574: Better wiki markup to display media files needed
T5537: SVGs fail to render silently if they contain an <image /> element
T11497: Thumbnails of large PNGs are not generated
Subscribers
brion, TheDJ, Nemo_bis and 10 others
Projects
Reference
bz41371
Description

Author: sumanah

Description:
We seem to be experiencing a bunch of potentially related problems with the imagescaler and thumbnail functionality right now -- see https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=81621669#More_image_scaler_problems . I'm marking bugs as blocking this one if they have to do with thumbnail generation.


Version: wmf-deployment
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz41371.
bzimport created this task.Via LegacyOct 25 2012, 7:21 AM
bzimport added a comment.Via ConduitOct 25 2012, 7:28 AM

sumanah wrote:

I think the most urgent bugs here are:

Bug 39615 - 404 error for some files
Bug 41174 - Many SVG files have stopped rendering
Bug 41130 - ?action=purge on the file description page no longer regenerates thumbnails

bzimport added a comment.Via ConduitOct 25 2012, 4:13 PM

sumanah wrote:

Brion, I was wondering whether you think your https://gerrit.wikimedia.org/r/#q,24115,n,z changeset for high-res image support might have had any effect regarding the most recent thumbnailing issues?

bzimport added a comment.Via ConduitOct 25 2012, 4:32 PM

sumanah wrote:

Adding interested people.

brion added a comment.Via ConduitOct 25 2012, 5:40 PM

(In reply to comment #2)

Brion, I was wondering whether you think your
https://gerrit.wikimedia.org/r/#q,24115,n,z changeset for high-res image
support might have had any effect regarding the most recent thumbnailing
issues?

Actual thumbnail generation code paths are untouched here, so it shouldn't be doing anything too surprising...

It should be causing some additional thumbnail generation to happen (as folks with Retina iPads and MacBooks browse), but should be relatively lightweight as we're using the delayed rendering options in production -- the files shouldn't get generated until they're actually loaded via the 404 handler, and only a small amount of our traffic should be hitting them so far.

tstarling added a comment.Via ConduitOct 26 2012, 12:15 AM

Note that the Commons village pump post was from a guy who used a bot to scan for images that don't render. He didn't say that something had recently changed. I reviewed the images yesterday, and could only find one bug that was introduced recently (oggThumb version error), and that's fixed now. I fixed another issue (TIFF metadata too large), but that had probably been there since PagedTiffHandler was introduced.

Nemo_bis added a comment.Via ConduitOct 26 2012, 6:57 AM

(In reply to comment #5)

Note that the Commons village pump post was from a guy who used a bot to scan
for images that don't render. He didn't say that something had recently
changed.

Sure. Some things did change but it's not trivial to identify them and they don't even necessarily have to change back (e.g. bug 41375, bug 41381, bug 41382 about new restictions).

I reviewed the images yesterday, and could only find one bug that was
introduced recently (oggThumb version error), and that's fixed now.

You mean "OggHandler requires oggThumb version 0.9 or later" I guess, but bug 41376 still makes those files broken (and there are hundreds of them).

I fixed
another issue (TIFF metadata too large), but that had probably been there since
PagedTiffHandler was introduced.

Most likely.

Eloquence added a comment.Via ConduitNov 27 2012, 2:46 AM

(In reply to comment #7)

Thumbs are broken for local files on WikiVoyage
http://fr.wikivoyage.org/wiki/Fichier:Map_of_Agra_Fort.jpg
http://en.wikivoyage.org/wiki/File:Map_of_Agra_Fort.jpg

Should be fixed for all WV wikis as of a few days ago.

Gilles added a project: Multimedia.Via WebNov 26 2014, 4:28 PM
Aklapper added a project: Commons.Via WebMar 10 2015, 4:45 PM
Steinsplitter moved this task to Backlog on the Commons workboard.Via WebMar 11 2015, 12:55 PM
Steinsplitter moved this task to Tracking bugs on the Commons workboard.Via WebMar 13 2015, 10:03 AM
Tgr closed blocking task T101834: Thumbnail image on Commons not displayed as "Resolved".Via WebTue, Jun 9, 5:06 PM

Add Comment